*
* Test for alphanumeric character (0-9, A-Z, a-z)
*
isalnum	POP	?R5		R5:6 =
	POP	?R6		Return address
	LCALL	isdigit		Test for digit
	JZ	?2		No, keep trying
?1	PUSH	?R6		Restack the
	PUSH	?R5		Return address
	RET
*
* Test for alphabetic character (A-Z, a-z)
*
isalpha	POP	?R5		R5:6 =
	POP	?R6		Return address
?2	LCALL	isupper		Test for uppercase
	JNZ	?1		Yes, this is it
	PUSH	?R6		Restack the
	PUSH	?R5		Return address
*
* Test for lowercase alphabetic character (a-z)
*
islower	MOV	DPTR,#'az'	Range to test
	SJMP	?3		Perform test
*
* Test for uppercase alphabetic character (A-Z)
*
isupper	MOV	DPTR,#'AZ'	Range to test
	SJMP	?3		Perform test
*
* Test for graphic printable character
*
isgraph	MOV	DPTR,#$217E	Range to test
	SJMP	?3
*
* Test for ASCII character
*
isascii	MOV	DPTR,#$007F	Range to test
	SJMP	?3
*
* Test for HEX digit
*
isxdigit POP	?R5		R5:6 =
	POP	?R6		Return address
	MOV	DPTR,#'AF'	Test range
	LCALL	?3		Within bounds?
	JNZ	?1		Its OK
	MOV	DPTR,#'af'	Test range
	LCALL	?3		Within bounds?
	JNZ	?1		Its OK
	PUSH	?R6		Restack the
	PUSH	?R5		Return address
*
* Test for an ASCII digit (0-9)
*
isdigit	MOV	DPTR,#'09'	Range to test
* Test argument against range in DE
?3	MOV	R0,#-5		Argument address
	LCALL	?auto0		Set it up
* Test against range in DPTR
	MOV	A,[R0]		Get character
?4	CJNE	A,DPH,*+3	Too LOW?
	JC	?7		Yes, invalid
	CJNE	A,DPL,?6	Not same
* Complete test by insuring that high bits are zero
?5	MOV	B,#0		Zero HIGH
	INC	R0		Advance to second
	MOV	A,[R0]		Get high value
	JNZ	?7		Indicate false
	INC	A		Set to TRUE
	RET
?6	JC	?5		Its LOW .. OK
* Return with FALSE value
?7	CLR	A		Set to FALSE
	RET
*
* Test for CONTROL character
*
iscntrl	MOV	R0,#-5		Argument address
	LCALL	?auto0		Set up pointer
	MOV	A,[R0]		Get value
	MOV	DPTR,#$001F	Control code range
	CJNE	A,#$7F,?4	Not delete, test it
	SJMP	?5		This could be it
*
* Test for a punctuation character
*
ispunct	POP	?R3		R3:4 =
	POP	?R4		Return address
	LCALL	isalnum		Alphanumeric?
	PUSH	?R4		Restack the
	PUSH	?R3		Return address
	JNZ	?7		Yes, false
*
* Test for printable character
*
isprint	MOV	DPTR,#$207E	Range to test
	SJMP	?3		Perform test
*
* Test for a "space" character
*
isspace	MOV	R0,#-5		Argument address
	LCALL	?auto0		Set up pointer
	MOV	A,[R0]		Get char
	CLR	C		Zero carry
	SUBB	A,#9		Tab?
	JZ	?5		Yes
	DEC	A		Newline?
	JZ	?5		Yes
	CLR	C		Zero carry
	SUBB	A,#' '-10	Space?
	JZ	?5		Yes
	SJMP	?7		Return FALSE
