* Read a BYTE of external memory: int peek(address)
peek	MOV	R0,#-5		Point to first parm
	LCALL	?auto0		Point to it
	MOV	DPL,[R0]	Get LOW byte
	INC	R0		Advance to high
	MOV	DPH,[R0]	Get HIGH byte
	MOVX	A,[DPTR]	Read the byte
	MOV	B,#0		Zero high
	RET
* Read a WORD of external memory: int peekw(address)
peekw	MOV	R0,#-5		Point to first parm
	LCALL	?auto0		Point to it
	MOV	DPL,[R0]	Get LOW byte
	INC	R0		Advance to high
	MOV	DPH,[R0]	Get HIGH byte
	MOVX	A,[DPTR]	Read the byte
	MOV	B,A		Save LOW byte
	INC	DPTR		Advance
	MOVX	A,[DPTR]	Read HIGH byte
	XCH	A,B		Fix order
	RET
* Write a BYTE of external memory: poke(address, data)
poke	MOV	R0,#-7		Point to first parm
	LCALL	?auto0		Set it up
	MOV	DPL,[R0]	Get LOW byte of address
	INC	R0		Advance
	MOV	DPH,[R0]	Get HIGH byte of address
	INC	R0		Advance
	MOV	A,[R0]		Get DATA
	MOVX	[DPTR],A	Write it
	RET
* Write a WORD of external memory: pokew(address, data)
pokew	MOV	R0,#-7		Point to first parm
	LCALL	?auto0		Set it up
	MOV	DPL,[R0]	Get LOW byte of address
	INC	R0		Advance
	MOV	DPH,[R0]	Get HIGH byte of address
	INC	R0		Advance
	MOV	A,[R0]		Get LOW byte of DATA
	INC	R0		Advance
	MOVX	[DPTR],A	Write it
	INC	DPTR		Advance dest
	MOV	A,[R0]		Get HIGH byte of data
	MOVX	[DPTR],A	Write it
	RET

