/*
 * Macros to allow direct access to the I/O bits of the 8051
 * internal registers from MICRO-C/51.
 * REQUIRES THE EXTERNAL PREPROCESSOR (MCP)!
 *
 * Copyright 1991,1993 Dave Dunfield
 * All rights reserved.
 */

#define setbit(bit) asm {	/* Macro to set a I/O bit */\
 SETB bit\
}

#define clrbit(bit) asm {	/* Macro to clear an I/O bit */\
 CLR bit\
}

#define cplbit(bit) asm {	/* Macro to complement an I/O bit */\
 CPL bit\
}
