* Convert ASCII string to number: int atoi(string)
atoi	MOV	R0,#-5		Argument address
	LCALL	?auto0		Point to it
	MOV	DPL,[R0]	Get LOW pointer
	INC	R0		Advance
	MOV	DPH,[R0]	Get HIGH pointer
	CLR	A		Get ZERO
	MOV	R3,A		Set LOW
	MOV	R4,A		Set HIGH
	MOV	R7,A		Assume positive
?1	MOVX	A,[DPTR]	Get char
	INC	DPTR		Advance
	CJNE	A,#'-',?3	Not minus
	INC	R7		Set negative flag
?2	MOVX	A,[DPTR]	Get char
	INC	DPTR		Advance
?3	CLR	C		Insure no carry
	SUBB	A,#'0'		Convert to decimal
	CJNE	A,#10,*+3	Non-destructive compare
	JNC	?4		End of number
	MOV	R2,A		Save for later
	MOV	A,#10		*10
	MOV	B,#0		Zero high
	LCALL	?mul		Multiply result
	ADD	A,R2		Include digit
	MOV	R3,A		Save LOW
	MOV	A,B		Swap
	ADDC	A,#0		Insure high incs
	MOV	R4,A		Save high
	SJMP	?2		And go again
?4	MOV	A,R3		Get LOW result
	MOV	B,R4		Get HIGH result
	DJNZ	R7,?5		Negative sign?
	LJMP	?neg		Yes, convert
?5	RET
