* Get a string (with editing): getstr(string, size)
getstr	MOV	R0,#-4		Address of parm
	LCALL	?auto0		Address it
	MOV	?R4,[R0]	Get HIGH size
	DEC	R0		Backup
	MOV	?R3,[R0]	Get LOW size
	DEC	R0		Backup
	MOV	DPH,[R0]	Get HIGH address
	DEC	R0		Backup
	MOV	DPL,[R0]	Get LOW address
	CLR	A		Get zero
	MOV	R5,A		Zero high
	MOV	R6,A		Zero LOW
* Get next character from the buffer
?1	LCALL	getch		Get character from console
	CJNE	A,#$08,?2	Backspace?
	SJMP	?3		Same as DEL
?2	CJNE	A,#$7F,?4	Delete?
* Delete a character from the buffer
?3	MOV	A,R5		Get LOW count
	ORL	A,R6		Entire == ZERO?
	JZ	?1		Buffer empty, ignore
	MOV	A,R5		Get LOW count
	MOV	B,R6		Get HIGH count
	LCALL	?dec		Reduce
	MOV	R5,A		Resave LOW
	MOV	R6,B		Resave HIGH
	MOV	A,#8		Backspace
	LCALL	?putch		Display it
	MOV	A,#' '		Wipe away old
	LCALL	?putch		Display it
	MOV	A,#8		Backspace again
	LCALL	?putch		Display it
	MOV	B,DPH		Get HIGH POINTER
	MOV	A,DPL		Save LOW POINTER
	LCALL	?dec		Backup
	MOV	DPH,B		Set new HIGH
	MOV	DPL,A		Set new LOW
	SJMP	?1		And go again
* Data received, stash in buffer
?4	LCALL	?putch		Write out the char
	CJNE	A,#$0D,?5	Not END of line
	SJMP	?6		And exit
?5	MOVX	[DPTR],A	Write to buffer
	INC	DPTR		Advance pointer
	MOV	A,R5		Get LOW count
	MOV	B,R6		Get HIGH count
	LCALL	?inc		Advance
	MOV	R5,A		Resave
	MOV	R6,B		Resave
	LCALL	?lt		< count?
	JNZ	?1		Yes, Keep going
* Terminate the buffer & exit
?6	CLR	A		Get ZERO
	MOVX	[DPTR],A	Zero terminate string
	MOV	A,R5		Get LOW count
	MOV	B,R6		Get HIGH count
	RET
$EX:getch
