* Move to INTERNAL from EXTERNAL: _move(dest, source, size)
_move	LCALL	?50		Load COUNT
	LCALL	?51		Load EXT pointer
	LCALL	?52		Load INT pointer
?1	LCALL	?60		Test for end
	MOVX	A,[DPTR]	Read from EXTERNAL
	MOV	[R1],A		Write to INTERNAL
	INC	DPTR		Advance external
	INC	R1		Advance internal
	SJMP	?1		And proceed
* Move to EXTERNAL from INTERNAL: move_(dest, source, size)
move_	LCALL	?50		Load COUNT
	LCALL	?52		Load INT pointer
	LCALL	?51		Load EXT pointer
?2	LCALL	?60		Test count
	MOV	A,[R1]		Read from INTERNAL
	MOVX	[DPTR],A	Write to EXTERNAL
	INC	R1		Advance internal
	INC	DPTR		Advance external
	SJMP	?2		And proceed
* Move INTERNAL to INTERNAL: _move_(dest, source, size)
_move_	LCALL	?50		Load COUNT
	LCALL	?51		Load EXT pointer
	LCALL	?52		Load INT pointer
	MOV	R0,DPL		Get low
?3	LCALL	?60		Test count
	MOV	A,[R0]		Read from memory
	MOV	[R1],A		Write to memory
	INC	R0		Advance dest
	INC	R1		Advance source
	SJMP	?3		And proceed
* Move EXTERNAL to EXTERNAL: move(dest, source, size)
move	LCALL	?50		Load COUNT
	LCALL	?51		Load EXT pointer
	LCALL	?52		Load INT pointer
?4	LCALL	?60		Test count
	MOVX	A,[DPTR]	Read from memory
	INC	DPTR		Advance
	XCH	A,R2		Get HIGH
	XCH	A,DPH		Swap pointers
	XCH	A,R2		Resave HIGH
	XCH	A,R1		Get LOW
	XCH	A,DPL		Swap pointers
	XCH	A,R1		Resave LOW
	MOVX	[DPTR],A	Write to memory
	INC	DPTR		Advance
	XCH	A,R2		Get HIGH
	XCH	A,DPH		Swap pointers
	XCH	A,R2		Resave HIGH
	XCH	A,R1		Get LOW
	XCH	A,DPL		Swap pointers
	XCH	A,R1		Resave LOW
	SJMP	?4		And proceed
* Address parms & load the COUNT register with the LAST one
?50	MOV	R0,#-6		Address of first parm
	LCALL	?auto0		Point to it
	MOV	?R4,[R0]	Get HIGH
	DEC	R0		Backup
	MOV	?R3,[R0]	Get LOW
	DEC	R0		Backup
	RET
* Load the EXTERNAL pointer with the next argument
?51	MOV	DPH,[R0]	Get LOW
	DEC	R0		Advance
	MOV	DPL,[R0]	Get HIGH
	DEC	R0		Advance
	RET
* Load the INTERNAL pointer with the next argument
?52	MOV	?R2,[R0]	Get LOW
	DEC	R0		Advance
	MOV	?R1,[R0]	Get HIGH
	DEC	R0		Advance
	RET
* Test count & exit if expired
?60	MOV	A,R3		Get LOW
	ORL	A,R4		Expired?
	JZ	?62		Yes, exit
	DEC	R3		Reduce count
	CJNE	R3,#-1,?61	Underflow?
	DEC	R4		Carry over count
?61	RET
?62	DEC	SP		Skip saved PC
	DEC	SP		Skip saved PC
	RET
